In order for us to provide you with secure and dependable applications, the Microsoft products that our applications rely on must also be secure and dependable. That means your Microsoft  Windows and SQL Server products must be under “Mainstream Support”.

Check out the Microsoft Lifecycle Policy for detailed information about Mainstream Support, Extended Support, and determine when your Microsoft products will move to Extended Support. In general, Microsoft products more than 10 years old are no longer on Mainstream Support.

Why do we require Microsoft products to be on Mainstream Support?

  • New, modern features might not work - We are modernizing the applications and adding new features, for example EMV credit card processing and new integrations. Those features rely on Microsoft products that are in Mainstream Support, and they might not work on older Microsoft products.
  • Dependable - Microsoft does not provide free, non-security updates to products that are in Extended Support. That means if a bug in a Microsoft product creates an issue in our application, we might not be able to fix it.  
  • Secure - Microsoft does not provide security updates and remove security vulnerabilities from older products, which means your system may not be secure, and it may be vulnerable to attack.

What does this mean for your business?

  • If you have a question regarding how Evosus software works, we will provide resolutions based on the most current supported versions of Evosus using Microsoft products on Mainstream Support. 
  • If you have an issue and you are using older Microsoft products, your Account Manager will ask you to upgrade so we can begin to diagnose the problem.
  • When purchasing new Microsoft products, you should expect to upgrade them every five years. 


Our current minimum system requirements...

Several Microsoft products have moved from Mainstream Support to Extended Support. Here are our current minimum system requirements.


Supported Evosus Enterprise Versions

We currently support Evosus Enterprise version 6.4.71 and above. Click here to download the latest release.

If you're on version 6.0.X, 6.1.X, or 6.2.X we'll have to help you upgrade. Just contact your Account Manager.


Supported Operating Systems

Workstations connecting to a terminal server do not need to meet this minimum system requirements.

Host PC/ Local Installs
Windows 10 Pro
Server
Windows Standard Server 2012 R2 with all updates (until 10/9/2018)
Windows Datacenter Server 2012 R2 with all updates (until 10/9/2018)
Windows Standard Server 2016
Windows Datacenter Server 2016

Supported Microsoft SQL Server

SQL Standard
2014 with all updates
2016
2017


Supported Microsoft Outlook

We have two MS Outlook integration options: standard(MAPI), and MS Outlook Add-In.

Outlook
2013 (32-bit)
2016 (32-bit)